Bug 1516788 (CVE-2017-1000391)

Summary: CVE-2017-1000391 jenkins: Unsafe use of user names as directory names
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bleanhar, ccoleman, dedgar, dmcphers, java-sig-commits, jgoulding, jkeck, kseifried, mizdebsk, msrb
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-01 07:55:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1516794, 1516795    
Bug Blocks: 1516796    

Description Andrej Nemec 2017-11-23 11:31:09 UTC
Jenkins stores metadata related to people, which encompasses actual user accounts, as well as users appearing in SCM, in directories corresponding to the user ID on disk. These directories used the user ID for their name without additional escaping. This potentially resulted in a number of problems, such as the following:

1. User names consisting of a single forward slash would have their user record stored in the parent directory; deleting this user deleted all user records.

2. User names containing character sequences such as .. could be used to clobber other configuration files in Jenkins.

This is not limited to the Jenkins user database security realm, other security realms such as LDAP may allow users to create user names that result in problems in Jenkins.

External References:

https://jenkins.io/security/advisory/2017-11-08/

Comment 1 Andrej Nemec 2017-11-23 11:34:52 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1516794]
Affects: openshift-1 [bug 1516795]